#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lpse.list'}
#{/set}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'lpse.home'}</a></li>
	<li class="active">&{'lpse.list'}</li>
</ol>

<div class="content">
#{alert /}
<table class="table table-sm" id="tblLpse">
    <thead>
    <tr>
        <th width="20px">No</th>
        <th>&{'lpse.nama'}</th>
        <th>&{'lpse.alamat'}</th>
        <th>&{'lpse.display'}</th>
    </tr>
    </thead>
</table>
    #{set 'a'}&{'lpse.btntambah'}#{/set}
	#{addButton action:@admin.LpseCtr.edit(), title:'' /}
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var edit = #{jsRoute @admin.LpseCtr.edit(':id') /};
var table = $("#tblLpse").DataTable({
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.lpse()}",
        columns: [null,{sortable:false, render: function(data, type, row) {
        	 		 var id = row[0];
                    var nama = row[1];
                    row[0] = "<center>"+id+"</center>"
                    row[1] = "<a href='"+edit.url({id:id})+"'>"+nama+"</a>"
                    return row[1];
        	}},null,null]
    });
    $('#tblLpse_filter input').unbind();
    $('#tblLpse_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}